﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AspNetAjaxTemplateDemo.aspx.cs"
    Inherits="AspNetAjaxTemplateDemo" %>

<!DOCTYPE html PUBliC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ASP.NET AJAX Template Demo</title>
    <link href="styles/StyleSheet.css" rel="stylesheet" type="text/css" />

    <script type="text/javascript">

        function pageLoad() {
            /*
            $create(Sys.UI.dataView, {
            "serviceUri": "WebDataService.svc",
            "query": "OscarWinners"
            }, {}, {}, $get("result"));
            */
            setTimeout(function() {
                var spanNodes = $get("result").getElementsByTagName("span");
                var spans = []
                for (var index = 0; index < spanNodes.length; index++) {
                    spans.push(spanNodes[index]);
                }
                Array.forEach(spans, function(span, index) {
                    if (span.className == "winner" || span.className == "film") {
                        $create(AspNetAjaxPreview.InPlaceEditBehavior, {}, {}, {}, span);
                    }
                });
            }, 500);
        }
    </script>

</head>
<body xmlns:sys="javascript:Sys" xmlns:dataView="javascript:Sys.UI.DataView" xmlns:inPlaceEditBehavior="javascript:AspNetAjaxPreview.InPlaceEditBehavior" sys:activate="*">
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Path="~/scripts/InPlaceEditBehavior.js" />
                <asp:ScriptReference Path="~/scripts/MicrosoftAjaxTemplates.debug.js" />
                <asp:ScriptReference Path="~/scripts/MicrosoftAjaxAdoNet.debug.js" />
            </Scripts>
        </asp:ScriptManager>
        <h1>
            81st Annual Academy Award</h1>
        <ul id="itemTemplate" class="sysTemplate">
            <li>
                <span class="award">{{ Award }}</span>
                <span class="winner">
                    {{ Winner }}</span>
                <span class="film">
                    {{ Film }}</span>
            </li>
        </ul>
        <ul id="result"
            sys:attach="dataView"
            dataView:datasource="{{ new Sys.Data.AdoNetDataSource() }}"
            dataView:serviceuri="WebDataService.svc" dataView:query="OscarWinners"
            dataView:itemtemplate="itemTemplate">
        </ul>
        <div id="error">
        </div>
    </div>
    </form>
</body>
</html>
