﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AdoNetDataServiceDemo.aspx.cs" Inherits="AdoNetDataServiceDemo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>ADO.NET Data Service Demo</title>
    <link href="styles/StyleSheet.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">

        function pageLoad() {            
            var dataService = new Sys.Data.AdoNetServiceProxy("WebDataService.svc");

            dataService.query("OscarWinners", function(result, context, operation) {
                var htmls = [];
                htmls.push('<li class="header"><span class="award">Award</span><span class="winner">Winner</span><span class="film">Film</span></li>');
                Array.forEach(result, function(item, index) {
                    htmls.push('<li id="item_');
                    htmls.push(item.AwardID);
                    htmls.push('"><span id="award_');
                    htmls.push(item.AwardID);
                    htmls.push('" class="award">');
                    htmls.push(item.Award);
                    htmls.push('</span><span id="winner_');
                    htmls.push(item.AwardID);
                    htmls.push('" class="winner">');
                    htmls.push(item.Winner);
                    htmls.push('</span><span id="film_');
                    htmls.push(item.AwardID);
                    htmls.push('" class="film">');
                    htmls.push(item.Film);
                    htmls.push('</span></li>');
                });
                $get("result").innerHTML = htmls.join("");
                Array.forEach(result, function(item, index) {
                    $get("item_" + item.AwardID)._item = item;
                    $create(AspNetAjaxPreview.InPlaceEditBehavior, {}, { "changed": function(e) {
                        $get("item_" + item.AwardID)._item.Winner = $get("winner_" + item.AwardID).innerHTML;
                        updateItem($get("item_" + item.AwardID)._item);
                    }
                    }, {}, $get("winner_" + item.AwardID));
                    $create(AspNetAjaxPreview.InPlaceEditBehavior, {}, { "changed": function(e) {
                        $get("item_" + item.AwardID)._item.Film = $get("film_" + item.AwardID).innerHTML;
                        updateItem($get("item_" + item.AwardID)._item);
                    }
                    }, {}, $get("film_" + item.AwardID));
                });

            }, errorHandler);

            var errorHandler = function(error, context, operation) {
                $get("error").innerHTML = "Error: " + error.message;
                Sys.Debug.traceDump(error);
            };

            var updateItem = function(item) {
                dataService.update(item, function(result, context, operation) { }, errorHandler);
            }
        }
    
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Path="~/scripts/InPlaceEditBehavior.js" />
                <asp:ScriptReference Path="~/scripts/MicrosoftAjaxAdoNet.debug.js" />
            </Scripts>
        </asp:ScriptManager>
        <h1>81st Annual Academy Award</h1>
        <ul id="result"></ul>
        <div id="error"></div>
    </div>
    </form>
</body>
</html>
